Download it now!
Bug 96318 - LOKView add a way to search view
Summary: LOKView add a way to search view
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.1.0.0.beta1
Hardware: All All
: medium normal
Assignee: Pranav Kant
URL:
Whiteboard: target:5.2.0 target:5.1.0.1
Keywords:
Depends on:
Blocks:
 
Reported: 2015-12-07 17:20 UTC by Bastien Nocera
Modified: 2016-10-25 19:11 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bastien Nocera 2015-12-07 17:20:01 UTC
libreoffice-5.1.0.0-9.beta2.fc24

There is currently no support for searching inside a document loaded in the LOKView.
Comment 1 Bastien Nocera 2015-12-07 17:38:18 UTC
Search is available via UNO commands:
http://cgit.freedesktop.org/libreoffice/core/tree/libreofficekit/qa/gtktiledviewer/gtktiledviewer.cxx#n615

But it's really not a great API for applications to use.
Comment 2 Commit Notification 2015-12-09 09:31:59 UTC
Pranav Kant committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0f64cf72ff3b930e306e937bb18f4cbe55a8026a

tdf#96318: Add searching API

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2015-12-09 12:19:55 UTC
Pranav Kant committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e7cdd6803485bbe4cfe27f5f466b427823318334&h=libreoffice-5-1

tdf#96318: Add searching API

It will be available in 5.1.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.